Bug 15268 - smbclient segfaults with use after free on an optimized build
Summary: smbclient segfaults with use after free on an optimized build
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools (show other bugs)
Version: 4.17.0
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-12-22 09:40 UTC by Andreas Schneider
Modified: 2023-01-26 17:51 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.17 (2.77 KB, patch)
2022-12-22 15:24 UTC, Andreas Schneider
slow: review+
Details
patch for 4.16 (6.15 KB, patch)
2022-12-22 15:27 UTC, Andreas Schneider
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2022-12-22 09:40:31 UTC
smbclient segfaults with use after free on an optimized build

Patch will follow.
Comment 1 Samba QA Contact 2022-12-22 10:53:04 UTC
This bug was referenced in samba master:

0d1961267cd9e8f1158a407c5d135514c363f37e
9c707b4be27e2a6f79886d3ec8b5066c922b99bd
Comment 2 Andreas Schneider 2022-12-22 15:24:53 UTC
Created attachment 17709 [details]
patch for 4.17
Comment 3 Andreas Schneider 2022-12-22 15:27:15 UTC
Created attachment 17710 [details]
patch for 4.16
Comment 4 Ralph Böhme 2022-12-23 07:07:08 UTC
Reassigning to Jule for inclusion in 4.16 and 4.17.
Comment 5 Jule Anger 2023-01-03 17:46:49 UTC
Pushed to autobuild-v4-{17,16}-test.
Comment 6 Samba QA Contact 2023-01-03 19:20:19 UTC
This bug was referenced in samba v4-16-test:

eeeb1a476f60b55f27083cdbe51c540ed4d86cc6
78848f21a3ecefdc6689c2794b166981eb517205
Comment 7 Samba QA Contact 2023-01-04 21:24:03 UTC
This bug was referenced in samba v4-17-test:

0d2acb2e22846799e90d31b77431dda1dc4ef7de
bc05daafbc6ffb972faa58943514ecd9f879cdad
Comment 8 Jule Anger 2023-01-05 09:05:02 UTC
Closing out bug report.

Thanks!
Comment 9 Samba QA Contact 2023-01-26 17:51:58 UTC
This bug was referenced in samba v4-17-stable (Release samba-4.17.5):

0d2acb2e22846799e90d31b77431dda1dc4ef7de
bc05daafbc6ffb972faa58943514ecd9f879cdad